Bug 458207 - /etc/kde/kdm/backgroundrc wallpaper file missing
/etc/kde/kdm/backgroundrc wallpaper file missing
Product: Fedora
Classification: Fedora
Component: kde-settings (Show other bugs)
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
Depends On: kde42
  Show dependency treegraph
Reported: 2008-08-06 19:34 EDT by l ciani
Modified: 2009-02-19 06:42 EST (History)
4 users (show)

See Also:
Fixed In Version: KDE 4.2.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-02-19 06:42:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description l ciani 2008-08-06 19:34:05 EDT
Description of problem: "2-sulphuric-waves-day.1600.png" - the wallpaper image of the Oxygen KDM theme - is missing.

cat /var/log/kdm.log says krootimage(26358) KBackgroundRenderer::doWallpaper: failed to load wallpaper  "/usr/share/backgrounds/waves/2-sulphuric-waves-day.1600.png"

I see that "sulfur-on-waves.png" is in /usr/share/backgrounds/waves/. Maybe "2-sulphuric-waves-day.1600.png" was renamed to "sulfur-on-waves.png"?

I don't really know if this depends on desktop-backgrounds-basic-9.0.0-1 [provides images in /usr/share/backgrounds] or on kdebase-workspace-4.1.0-8.fc9 [provides /usr/share/kde4/apps/kdm/themes/oxygen] or on kde-settings-kdm-4.0-25.fc9 [provides /etc/kde/kdm/backgroundrc that points to a file that is missing]

Additional info: I have installed F9 using Fedora 9 KDE-Live.
Comment 1 Kevin Kofler 2008-08-06 19:41:43 EDT
It was one of the prerelease background pictures, it has been replaced by pictures without the sulfur crystal in F9 final. Normally (i.e. with the default settings from kde-settings) you don't notice the bug at all because KDM is set up to use a theme (FedoraWaves) and the background picture is not shown when a theme is in use. That setting is leftover from when we didn't have a FedoraWaves theme yet and so had set up unthemed KDM with Waves imagery as a temporary solution (that's also why it uses the old images).
Comment 2 Steven M. Parrish 2008-08-07 19:31:29 EDT
Sounds like this is not a bug, but a result of a hack during F9 development.  Anything that needs to be addressed or can it be closed?
Comment 3 Kevin Kofler 2008-08-07 20:48:02 EDT
We should probably either remove the offending setting or set it to one of the current FedoraWaves images.
Comment 4 Steven M. Parrish 2008-09-25 19:13:10 EDT
Are we going to address this for F9 or just fix for Rawhide?  Any updates?
Comment 5 l ciani 2009-01-31 19:13:23 EST
I am running Fedora 10 and as far as I can see this issue is gone. This should perhaps be marked as closed
Comment 6 Kevin Kofler 2009-01-31 19:20:54 EST
No, this is an F9-only issue. The setting is correct in F10.
Comment 7 l ciani 2009-01-31 19:29:26 EST
I have reported this issue. I have upgraded to F10. If this is an F9-only issue then I am afraid I can't report any progress with F9
Comment 8 Kevin Kofler 2009-01-31 19:35:01 EST
We know what the issue is, we just didn't submit an update just for this because it's easily worked around. But we have to update kde-settings anyway for KDE 4.2, so we'll be rolling the fix into the KDE 4.2.0 update set.
Comment 9 Rex Dieter 2009-02-06 13:28:54 EST
fix will be included in kde42 update.

Note You need to log in before you can comment on or make changes to this bug.